Index: .hgsigs
===================================================================
--- .hgsigs	(revision 3857)
+++ .hgsigs	(revision 3682)
@@ -1,3 +1,2 @@
 266ba234e2a5115e47379030e9439b6abcb11e80 0 iQEcBAABCgAGBQJV1WIcAAoJELwJObfmz3HnHHEH/1+ohmFEzHx5M90oAtQN4pQLsPCZ/fCVG5w6OoD56DOPP3IMaTSxlEzoG3mjWv0gzAb4zJjPErBwRy7keq3rjT5SyDs17aHRmCE91+YuGNBDnQHAD68gVZaQQ+L2d5+EHYdGtxcwiFUyRWEv+U/4NW0UexuJDVqzS6ztUC45D1a2Qt9Q4bbEsywmE5Bl7IP7hjxKlICJNo3fclpCgdryPeB7gatOJz4uw/T6tbJVzvD2ETA/9kp+hg2yFNWBhS0zgK/BKcinqlh2AW4fPDsrOvr7LnIQUt5KwdJmbNA3A8moF2EU9/PiF76tWF5IHtnk9x/bQjCgukZSZ383eUzlY58=
 ee065bfd6458b8fab13c8adf7649f8f988deb8e1 0 iQEzBAABCgAdFiEEl+7zWgi24VqTXSmqvAk5t+bPcecFAlprnkcACgkQvAk5t+bPcefsjQf/XYGUwwbDjOlWLdBRpGrnANElA1I8It6vlFJhMCBxlKm2USHMcQ0soOD4qFBUNioFBffPFLaD9wYHgU9oDfRzyKO09ntu0zO8jxetGrKItJJJqY9RUCKi5lYxvFICVwk3F7u8dU2Z5QxNI4g6rqlidxjzzBh9SprwcHi5kV33yLaShcvGjpU/23CstGRbfDy/rIBlC+xWEb8F8P+xQpPlzv7Ex7PBEAU3l3cdlwZic7gZM8c9rEf4fenH7WmWTAybeaga2RK5N2D6r4NB3+4zfr/AkwB7LCiLvNC+10RwoRHPwIZTe0pIf7AQG6YCXbWboEsbDD5bzJxpuTDjFJTTcA==
-1dc51dbf8899b36afeadf4433d8df2c06198822d 0 iQEzBAABCgAdFiEEl+7zWgi24VqTXSmqvAk5t+bPcecFAluOSrkACgkQvAk5t+bPcecItAf+OAikzkRFaOQ+OD3B73F2Ob8G3x/f6ujyQ2jhMzTiQ98cOcrvaejzsxxxuA3nRXIMWpaoFOnn+pLo0bWCeumGP0G6mG3XiZ+lEWsoxwIYGGKCns2/3xwSEjxT+EOz+qV0NfPvkHDdWNme9EUA1ljAZ/qR9UgumQK30t7LxT5C+JfzXm8jVWQYhJVYtAdNgUJdn2HQE+2xu0zTJIvaHS2LVGi+Qa+exL2/RjLl88YJLyDgIoPFP8/ncYSnTFcKY4SNP8AFAwH/b7DUcYpuBEiN0xM7TbOdDihtiS/PUpbECH7aei/N6ajWil7X8nFXWXLkPCSg48p7PtHYTEVhH6ZqmQ==
Index: .hgtags
===================================================================
--- .hgtags	(revision 3856)
+++ .hgtags	(revision 3809)
@@ -38,3 +38,2 @@
 57c79fd7f152a9d954c85f0b58cfdccd8b1ed8eb 2.13.1
 076e9950a9dc2bce7fd6d9ee7147ca60f26b2233 2.14.1
-08b090767191a6566ca4c8e559eb0cb0ebcc90df 2.14.2
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 3854)
+++ CHANGELOG	(revision 3807)
@@ -1,10 +1,2 @@
-Dotclear 2.14.2 - 2018-09-04
-===========================================================
-* 🛡 Security: Authenticated cross-site scripting (XSS) was possible due to the .ahtml (or .bhtml, .chtml, …) file extension being allowed in the media manager. Thank's Josiah Pierce for report (CVE-2018-16358)
-* 🛡 Security: Unregister phar wrapper in order to avoid PHP Phar extension vulerability
-* Fix: Enter key in some input fields were not redirect to the parent form
-* Fix: Unable to save modified theme's files in theme editor, when Codemirror is used
-* Fix: Back to the original global_filters() template function (will be rewritten in the next 2.15)
-
 Dotclear 2.14.1 - 2018-08-17
 ===========================================================
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 3850)
+++ inc/core/class.dc.core.php	(revision 3731)
@@ -1379,5 +1379,5 @@
                 array('lang', 'string', 'en',
                     'Default blog language'),
-                array('media_exclusion', 'string', '/\.(phps?|pht(ml)?|phl|.?html?|js|htaccess)[0-9]*$/i',
+                array('media_exclusion', 'string', '/\.(phps?|pht(ml)?|phl|s?html?|js|htaccess)[0-9]*$/i',
                     'File name exclusion pattern in media manager. (PCRE value)'),
                 array('media_img_m_size', 'integer', 448,
Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 3858)
+++ inc/dbschema/upgrade.php	(revision 3829)
@@ -688,18 +688,4 @@
         }
 
-        if (version_compare($version, '2.14.2', '<')) {
-            # Update flie exclusion upload regex
-            $strReq = 'UPDATE ' . $core->prefix . 'setting ' .
-                " SET setting_value = '/\\.(phps?|pht(ml)?|phl|.?html?|js|htaccess)[0-9]*\$/i' " .
-                " WHERE setting_id = 'media_exclusion' " .
-                " AND setting_ns = 'system' " .
-                " AND (setting_value = '/\\.php[0-9]*\$/i' " .
-                "   OR setting_value = '/\\.php\$/i') " .
-                "   OR setting_value = '/\\.(phps?|pht(ml)?|phl)[0-9]*\$/i' " .
-                "   OR setting_value = '/\\.(phps?|pht(ml)?|phl|s?html?|js)[0-9]*\$/i'" .
-                "   OR setting_value = '/\\.(phps?|pht(ml)?|phl|s?html?|js|htaccess)[0-9]*\$/i'";
-            $core->con->execute($strReq);
-        }
-
         if (version_compare($version, '2.15', '<')) {
             # switch from jQuery 1.11.3 to 1.12.4
Index: locales/en/help/core_wiki.html
===================================================================
--- locales/en/help/core_wiki.html	(revision 2534)
+++ locales/en/help/core_wiki.html	(revision 3859)
@@ -26,14 +26,21 @@
   <code>*</code> or <code>#</code> for unnumbered or numbered lists respectively.
   List imbrication is done by mixing list markers this way:
-<pre>
-* item 1
-** item 1.1
-* item 2
-*# item 2.1
-...
-</pre>
+  <pre>
+    <code>*</code> item 1
+    <code>**</code> item 1.1
+    <code>*</code> item 2
+    <code>*#</code> item 2.1
+  ...
+  </pre>
+  </li>
+  <li><strong>Definition lists:</strong> Start each line with <code>=</code> for the term to define and with <code>:</code> for the definition of the term.
+  <pre>
+  <code>=</code> term
+  <code>:</code> description of the term
+  </pre>
   </li>
   <li><strong>Preformatted text:</strong> Each line must start with a space.</li>
   <li><strong>Block quote:</strong> Each line must start with a <code>&gt;</code>.</li>
+  <li><strong>Side block:</strong> Each line must start with a <code>)</code>.</li>
 </ul>
 </dd>
@@ -61,4 +68,5 @@
   <li><strong>Code:</strong> <code>@@code@@</code></li>
   <li><strong>Footnotes:</strong> <code>$$footnote$$</code></li>
+  <li><strong>Superscript</strong>&nbsp;: <code>^superscript^</code></li>
 </ul>
 </dd>
Index: locales/fr/help/core_wiki.html
===================================================================
--- locales/fr/help/core_wiki.html	(revision 2798)
+++ locales/fr/help/core_wiki.html	(revision 3859)
@@ -33,7 +33,14 @@
 </pre>
   </li>
+  <li><strong>Listes de définition</strong>&nbsp;: ligne débutant par <code>=</code> pour le terme à définir et par <code>:</code> pour la définition du terme.
+  <pre>
+  <code>=</code> terme
+  <code>:</code> définition du terme
+  </pre>
+  </li>
   <li><strong>Texte préformaté</strong>&nbsp;: espace avant chaque ligne de texte.</li>
   <li><strong>Bloc de citation</strong>&nbsp;: <code>&gt;</code> devant chaque
   ligne de texte.</li>
+  <li><strong>Bloc de côté</strong>&nbsp;: <code>)</code> devant chaque ligne de texte</li>
 </ul>
 </dd>
@@ -60,4 +67,5 @@
   <li><strong>Code</strong>&nbsp;: <code>@@code ici@@</code></li>
   <li><strong>Note de bas de page</strong>&nbsp;: <code>$$Corps de la note$$</code></li>
+  <li><strong>Exposant</strong>&nbsp;: <code>^exposant^</code></li>
 </ul>
 </dd>
